Bug 891443 - crash when reusing existing Btrfs volume
crash when reusing existing Btrfs volume
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F18Blocker/F18FinalBlocker
  Show dependency treegraph
 
Reported: 2013-01-02 18:32 EST by Chris Murphy
Modified: 2013-12-25 11:28 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-08 16:33:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anacond-tb (378.43 KB, text/plain)
2013-01-02 18:38 EST, Chris Murphy
no flags Details
anaconda.log (17.95 KB, text/plain)
2013-01-02 18:38 EST, Chris Murphy
no flags Details
program.log (20.81 KB, text/plain)
2013-01-02 18:39 EST, Chris Murphy
no flags Details
storage.log (70.80 KB, text/plain)
2013-01-02 18:39 EST, Chris Murphy
no flags Details
storage.state (20.00 KB, application/octet-stream)
2013-01-02 18:39 EST, Chris Murphy
no flags Details

  None (edit)
Description Chris Murphy 2013-01-02 18:32:57 EST
Description of problem:
When using an existing Btrfs volume, a new root subvolume is required. When creating new Root subvol, anaconda crashes at the start of installation.

Version-Release number of selected component (if applicable):
anaconda-18.38.8-1

How reproducible:
Always.

Steps to Reproduce:
1. Btrfs volume, single disk.
2. Manual Partitioning.
3. Create new mount point Root.
4. Finish Partitioning
5. Begin Installation

Actual results:
Crash.

Expected results:
No crash.

Additional info:
In the simple case above, no existing subvols exist or are reused so reformatting the file system is a viable work around; in the practical case I'd like to reuse an existing home and/or boot subvol in which case reformat isn't possible, and always results in a crash, no work around.
Comment 1 Chris Murphy 2013-01-02 18:38:09 EST
Created attachment 671762 [details]
anacond-tb
Comment 2 Chris Murphy 2013-01-02 18:38:41 EST
Created attachment 671763 [details]
anaconda.log
Comment 3 Chris Murphy 2013-01-02 18:39:13 EST
Created attachment 671764 [details]
program.log
Comment 4 Chris Murphy 2013-01-02 18:39:25 EST
Created attachment 671765 [details]
storage.log
Comment 5 Chris Murphy 2013-01-02 18:39:52 EST
Created attachment 671766 [details]
storage.state
Comment 6 Chris Murphy 2013-01-02 18:47:01 EST
libreport reports the exact same error message, and considers this bug a dup of bug 872739, which was also a blocker, possibly for different reasons.

Proposing as blocker:
F18 Beta Release Criterion #10: The installer's custom partitioning mode must be cable of creating, destroying and assigning mount points to partitions of any specified size using most commonly-used filesystem types and reject obviously invalid operations without crashing.

If this bug isn't fixed, it won't be possible to install to an existing Btrfs file system without a reformat, which means nuking the user's home even if its on its own subvolume.
Comment 7 David Lehman 2013-01-03 13:51:07 EST
Fix pushed to master and f18-branch. Next build will include it.
Comment 8 Adam Williamson 2013-01-03 14:43:49 EST
Discussed at 2012-01-03 go/no-go meeting: http://meetbot.fedoraproject.org/fedora-meeting-1/2013-01-03/f18_final_gono-go_meeting.2013-01-03-17.01.log.txt . Accepted as a blocker per criterion "The installer's custom partitioning mode must be capable of the following: Creating, destroying and assigning mount points to partitions of any specified size using most commonly-used filesystem types"
Comment 9 Fedora Update System 2013-01-03 20:24:58 EST
anaconda-18.37.9-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.37.9-1.fc18
Comment 10 Chris Murphy 2013-01-03 21:23:32 EST
anaconda-18.37.9-1.fc18 fixes this bug.
Comment 11 Fedora Update System 2013-01-04 15:29:13 EST
Package anaconda-18.37.9-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.37.9-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0206/anaconda-18.37.9-1.fc18
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-01-04 19:27:17 EST
anaconda-18.37.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.37.10-1.fc18
Comment 13 Fedora Update System 2013-01-07 20:20:03 EST
anaconda-18.37.11-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.37.11-1.fc18
Comment 14 Chris Murphy 2013-01-07 21:28:57 EST
Still fixed in anaconda-18.37.11-1.fc18.
Comment 15 Fedora Update System 2013-01-08 16:33:24 EST
anaconda-18.37.11-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.